Get settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/settings \
--header 'Authorization: Bearer <token>'{
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
]
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Get settings
Get settings for an organization
GET
/
v3
/
settings
Get settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/settings \
--header 'Authorization: Bearer <token>'{
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
]
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Settings retrieved successfully
Required range:
-2147483648 <= x <= 2147483647Profile bucket definitions
Maximum array length:
50Show child attributes
Show child attributes
Was this page helpful?